import {createRouter, createWebHashHistory} from 'vue-router';

// 引入组件
import HomePage from '@/JAIGG/Home.vue';
import FrontPage from "@/JAIGG/FrontPage.vue";
import RulePage from '../JAIGG/RulePage.vue';
import BiddingInfoPage from '../JAIGG/BiddingInfoPage.vue';
import GrainStoragePage from '../JAIGG/GrainStoragePage.vue';
import SupplierManagementPage from '../JAIGG/SupplierManagementPage.vue';
import LoginPage from '@/JAIGG/Login.vue';
import startBidding from "@/JAIGG/BidDetails.vue";
import ExpertTalk from "@/JAIGG/expertTalk.vue";


// 创建并导出路由器
const router = createRouter({
    history: createWebHashHistory(),
    routes: [
        {
            path: '/login',
            name: 'LoginPage',
            component: LoginPage
        },
        {
            path: '/home',
            name: 'home',
            component: HomePage,
            children: [
                {
                    path: '/',
                    name: 'FrontPage',
                    component: FrontPage
                },
                {path: '/rules',name :'rules', component: RulePage},
                {path: '/bidding-info',name :'bidding-info', component: BiddingInfoPage},
                {path: '/grain-storage',name :'grain-storage', component: GrainStoragePage},
                {path: '/supplier-management', name :'supplier-management',component: SupplierManagementPage},
                {path: '/startBidding' ,name :'startBidding',component:startBidding},
                {path: '/ExpertTalk',name :'ExpertTalk',component: ExpertTalk},
            ]
        },


    ]
});

export default router;
